Bug 517299 (DRIOpenDRMMaster, symbol:, undefined) - X fails to start and displays undefined symbol: DRIOpenDRMMaster [NEEDINFO]
Summary: X fails to start and displays undefined symbol: DRIOpenDRMMaster
Keywords:
Status: CLOSED DUPLICATE of bug 527964
Alias: DRIOpenDRMMaster, symbol:, undefined
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 11
Hardware: i586
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 12:34 UTC by Devyn H.
Modified: 2018-04-11 12:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-08 23:24:04 UTC
mcepl: needinfo? (bwdevyn)


Attachments (Terms of Use)
Strace of Xorg from command line. (470.05 KB, text/plain)
2009-08-13 12:34 UTC, Devyn H.
no flags Details
ltrace output of Xorg. (1.75 MB, text/plain)
2009-08-14 03:13 UTC, Devyn H.
no flags Details

Description Devyn H. 2009-08-13 12:34:26 UTC
Created attachment 357310 [details]
Strace of Xorg from command line.

Description of problem:

[root@lhs X11]# /usr/bin/Xorg

X.Org X Server 1.6.1.901 (1.6.2 RC 1)
Release Date: 2009-5-8
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-128.1.6.el5 i686
Current Operating System: Linux lhs.localhostservers 2.6.29.6-217.2.3.fc11.i586 #1 SMP Wed Jul 29 15:46:46 EDT 2009 i686
Kernel command line: ro root=LABEL=/
Build Date: 18 May 2009  02:47:59PM
Build ID: xorg-x11-server 1.6.1.901-1.fc11
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Aug 12 22:55:46 2009
(==) Using config file: "/etc/X11/xorg.conf"
/usr/bin/Xorg: symbol lookup error: /usr/lib/xorg/modules/drivers//radeon_drv.so: undefined symbol: DRIOpenDRMMaster



[root@lhs X11]# cat /etc/X11/xorg.conf
# Xorg configuration created by system-config-display

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"

# keyboard added by rhpxl
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105+inet"
        Option      "XkbLayout" "us"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
        EndSubSection
EndSection

[root@lhs X11]# rpm -qf /usr/lib/xorg/modules/drivers/radeon_drv.so
xorg-x11-drv-ati-6.12.2-14.fc11.i586
[root@lhs X11]#


[root@lhs f11]# strings /usr/lib/xorg/modules/drivers/radeon_drv.so |grep DRIOpenDRMMaster
DRIOpenDRMMaster
[root@lhs f11]#


[root@lhs f11]# rpm -qf /usr/bin/Xorg
xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586
[root@lhs f11]#

This error shows up regardless of the DISPLAYMANAGER used within /etc/X11/prefdm and /etc/sysconfig/desktop.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586
xorg-x11-drv-ati-6.12.2-14.fc11.i586


How reproducible:
Always.  Regardless of whether KDM, GDM, XDM or WDM display managers are used.  This follows a recent yum upgrade I did between August 8th and August 9th.

Steps to Reproduce:
1. Boot up the computer.
2. Screen goes blank and have to ssh into machine remotely.
3. Keyboard & mouse becomes unusable.
4. No EE or WW errors in Xorg.0.log.
  
Actual results:
System doesn't finish booting.

Expected results:
System booting to Display Manager

Additional info:
Attached are strace and ltrace files.  Perhaps they can shed more information.

Comment 1 Devyn H. 2009-08-14 03:13:18 UTC
Created attachment 357386 [details]
ltrace output of Xorg.

Incl ltrace output.

Comment 2 Matěj Cepl 2009-11-05 18:36:21 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 3 Matěj Cepl 2009-12-08 23:24:04 UTC

*** This bug has been marked as a duplicate of bug 527964 ***


Note You need to log in before you can comment on or make changes to this bug.